NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Tooling.FreeformUnformBuilder Class Reference

Represents a NXOpen.Tooling.FreeformUnformBuilder builder. More...

Inheritance diagram for NXOpen.Tooling.FreeformUnformBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DeformBodyType { SheetBodies, FacetBodies }
 Represent sheet deformation type. More...
 
enum  DirectionMethodType {
  SameAsProjection, NormalToSheet, NormalToBase, NormalToControl,
  SpecifiedDirection, None
}
 Represents the direction method type. More...
 
enum  RotationMethod { Constant, LawControlled, CurveDefined }
 Represents the rotation method type. More...
 
enum  RotationMethodType { Angle, Distance }
 Represents the rotation type. More...
 
enum  UnformTypes { ByCurve, OverBend }
 The types of bend More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance More...
 
unsafe NXOpen.Section BaseCurve [get, set]
 Returns or sets the base curve More...
 
unsafe NXOpen.Section BendCurve [get]
 Returns the bend curve More...
 
unsafe NXOpen.ScCollector BendFaces [get, set]
 Returns or sets the bend faces More...
 
unsafe NXOpen.Section ControlCurve [get, set]
 Returns or sets the control curve More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe NXOpen.Section FirstRegionLimitCurve [get, set]
 Returns or sets the first region limit curve More...
 
unsafe NXOpen.ScCollector FirstRegionOffsetCurve [get, set]
 Returns or sets the first region offset curve More...
 
unsafe NXOpen.ScCollector FirstTargetCurve [get]
 Returns the first target curve More...
 
unsafe NXOpen.Expression FirstTargetCurveOffset [get]
 Returns the first target curve offset More...
 
unsafe int IterationCount [get, set]
 Returns or sets the maximum iterations count used for approximating the deformed sheet. More...
 
unsafe bool KeepBaseLength [get, set]
 Returns or sets the equal arc length toggle More...
 
unsafe bool ModifyInputSheet [get, set]
 Returns or sets the modify input sheet More...
 
unsafe NXOpen.Expression RadiusReductionPercent [get]
 Returns the radius reduction percent More...
 
unsafe NXOpen.Expression RegionToDeformOffset [get]
 Returns the region boundary offset More...
 
unsafe NXOpen.Expression RotationAngle [get]
 Returns the rotation angle value More...
 
unsafe bool RotationAngleReverseDirection [get, set]
 Returns or sets the rotation angle reverse direction More...
 
unsafe NXOpen.Expression RotationDistance [get]
 Returns the rotation distance value More...
 
unsafe NXOpen.Section RotationTargetCurve [get]
 Returns the rotation target curve More...
 
unsafe NXOpen.Section SecondRegionLimitCurve [get, set]
 Returns or sets the second region limit curve More...
 
unsafe NXOpen.ScCollector SecondRegionOffsetCurve [get, set]
 Returns or sets the second region offset curve More...
 
unsafe NXOpen.ScCollector SecondTargetCurve [get]
 Returns the second target curve More...
 
unsafe NXOpen.Expression SecondTargetCurveOffset [get]
 Returns the second target curve offset More...
 
unsafe NXOpen.ScCollector SheetToDeform [get, set]
 Returns or sets the sheet to deform More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
StartLocation [get, set]
 Returns or sets the start location of control curve More...
 
unsafe NXOpen.Direction StretchDirection [get, set]
 Returns or sets the stretch direction More...
 
unsafe NXOpen.Expression TaperEnd [get]
 Returns the taper end. More...
 
unsafe NXOpen.Expression TaperStart [get]
 Returns the taper start. More...
 
unsafe NXOpen.Section TargetCurve [get]
 Returns the target curve More...
 
unsafe NXOpen.Expression TargetCurveOffset [get]
 Returns the target curve offset More...
 
unsafe
NXOpen.Features.GlobalShapingBuilder.OffsetMethod 
TargetCurveOffsetType [get, set]
 Returns or sets the target curve offset type More...
 
unsafe NXOpen.Point TargetPoint [get, set]
 Returns or sets the target point More...
 
unsafe NXOpen.Expression TargetPointOffset [get]
 Returns the target point offset More...
 
unsafe NXOpen.ScCollector TargetSheet [get]
 Returns the target sheet More...
 
unsafe
NXOpen.Features.GlobalShapingBuilder.TransitionType 
TransitionOptions [get, set]
 Returns or sets the transition options More...
 
unsafe double TransitionShapeControl [get, set]
 Returns or sets the transition shape control More...
 
unsafe
NXOpen.Tooling.FreeformUnformBuilder.UnformTypes 
UnformType [get, set]
 Returns or sets the bend type More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.FreeformUnformBuilder builder.

To create a new instance of this class, use NXOpen.Features.ToolingCollection.CreateFreeformUnformBuilder

Created in NX1847.0.0

Member Enumeration Documentation

Represent sheet deformation type.

Enumerator
SheetBodies 

Sheet bodies

FacetBodies 

Facet bodies

Represents the direction method type.

Enumerator
SameAsProjection 

Overcrown is same as projection direction

NormalToSheet 

Overcrown is normal to sheet

NormalToBase 

Overcrown is normal to base surface

NormalToControl 

Overcrown is normal to control surface

SpecifiedDirection 

Overcrown is user specified direction

None 

Overcrown has no direction specified

Represents the rotation method type.

Enumerator
Constant 

Constant anlge rotation

LawControlled 

Law controlled rotation

CurveDefined 

Curve interpolated rotation

Represents the rotation type.

Enumerator
Angle 

Rotation specified by angle

Distance 

Rotation specified by distance

The types of bend

Enumerator
ByCurve 

unform by curve type

OverBend 

unform by over bend type

Property Documentation

unsafe double NXOpen.Tooling.FreeformUnformBuilder.AngleTolerance
getset

Returns or sets the angle tolerance

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Tooling.FreeformUnformBuilder.BaseCurve
getset

Returns or sets the base curve

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Section NXOpen.Tooling.FreeformUnformBuilder.BendCurve
get

Returns the bend curve

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Tooling.FreeformUnformBuilder.BendFaces
getset

Returns or sets the bend faces

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Section NXOpen.Tooling.FreeformUnformBuilder.ControlCurve
getset

Returns or sets the control curve

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.FreeformUnformBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Tooling.FreeformUnformBuilder.FirstRegionLimitCurve
getset

Returns or sets the first region limit curve

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Tooling.FreeformUnformBuilder.FirstRegionOffsetCurve
getset

Returns or sets the first region offset curve

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Tooling.FreeformUnformBuilder.FirstTargetCurve
get

Returns the first target curve

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.FreeformUnformBuilder.FirstTargetCurveOffset
get

Returns the first target curve offset

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe int NXOpen.Tooling.FreeformUnformBuilder.IterationCount
getset

Returns or sets the maximum iterations count used for approximating the deformed sheet.

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Tooling.FreeformUnformBuilder.KeepBaseLength
getset

Returns or sets the equal arc length toggle

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Tooling.FreeformUnformBuilder.ModifyInputSheet
getset

Returns or sets the modify input sheet

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Tooling.FreeformUnformBuilder.RadiusReductionPercent
get

Returns the radius reduction percent

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.FreeformUnformBuilder.RegionToDeformOffset
get

Returns the region boundary offset

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.FreeformUnformBuilder.RotationAngle
get

Returns the rotation angle value

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.FreeformUnformBuilder.RotationAngleReverseDirection
getset

Returns or sets the rotation angle reverse direction

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Tooling.FreeformUnformBuilder.RotationDistance
get

Returns the rotation distance value

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Section NXOpen.Tooling.FreeformUnformBuilder.RotationTargetCurve
get

Returns the rotation target curve

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Section NXOpen.Tooling.FreeformUnformBuilder.SecondRegionLimitCurve
getset

Returns or sets the second region limit curve

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Tooling.FreeformUnformBuilder.SecondRegionOffsetCurve
getset

Returns or sets the second region offset curve

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Tooling.FreeformUnformBuilder.SecondTargetCurve
get

Returns the second target curve

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.FreeformUnformBuilder.SecondTargetCurveOffset
get

Returns the second target curve offset

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Tooling.FreeformUnformBuilder.SheetToDeform
getset

Returns or sets the sheet to deform

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Tooling.FreeformUnformBuilder.StartLocation
getset

Returns or sets the start location of control curve

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Direction NXOpen.Tooling.FreeformUnformBuilder.StretchDirection
getset

Returns or sets the stretch direction

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Tooling.FreeformUnformBuilder.TaperEnd
get

Returns the taper end.

Distance at the end to apply the taper.

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.FreeformUnformBuilder.TaperStart
get

Returns the taper start.

Distance at the start to apply the taper.

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Section NXOpen.Tooling.FreeformUnformBuilder.TargetCurve
get

Returns the target curve

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.FreeformUnformBuilder.TargetCurveOffset
get

Returns the target curve offset

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Features.GlobalShapingBuilder.OffsetMethod NXOpen.Tooling.FreeformUnformBuilder.TargetCurveOffsetType
getset

Returns or sets the target curve offset type

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.Tooling.FreeformUnformBuilder.TargetPoint
getset

Returns or sets the target point

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Tooling.FreeformUnformBuilder.TargetPointOffset
get

Returns the target point offset

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Tooling.FreeformUnformBuilder.TargetSheet
get

Returns the target sheet

Created in NX1847.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Features.GlobalShapingBuilder.TransitionType NXOpen.Tooling.FreeformUnformBuilder.TransitionOptions
getset

Returns or sets the transition options

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Tooling.FreeformUnformBuilder.TransitionShapeControl
getset

Returns or sets the transition shape control

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Tooling.FreeformUnformBuilder.UnformTypes NXOpen.Tooling.FreeformUnformBuilder.UnformType
getset

Returns or sets the bend type

Created in NX1847.0.0

License requirements to get this property: prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.